Bug 105977 - FORMATTING Cycle Case only works for whole cells, but not selection within a cell
Summary: FORMATTING Cycle Case only works for whole cells, but not selection within a ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Direct-Formatting-Parts
  Show dependency treegraph
 
Reported: 2017-02-13 11:18 UTC by Mr dol evica
Modified: 2020-07-17 03:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mr dol evica 2017-02-13 11:18:50 UTC
Default shortcut for Rotate Case is Shift+F3
When a cell or more cells are selected and Shift+F3 pressed, the case of the whole text in the cells is rotated Capitalize, UPPERCASE, lowercase.

But when only a part of the text is selected within a cell, the case is not changed by Shift+F3.

Other shortcuts that changes the case (UPPERCASE, lowercase, Capitalize) all work even on the selected text within a cell.
Comment 1 Buovjaga 2017-02-14 12:31:50 UTC
Reproduced. It does not depend on using the shortcut. Problem is with menu item as well.

Win 7 Pro 64-bit Version: 5.4.0.0.alpha0+
Build ID: 1d810b69a584fc33f4178c7012f68f551ba2e03b
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-02-12_23:34:02
Locale: fi-FI (fi_FI); Calc: CL

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 2 QA Administrators 2018-07-17 02:39:43 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2020-07-17 03:52:36 UTC
Dear Mr dol evica,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug